Not working network connection after boot

Bug #1434986 reported by Jan Henke on 2015-03-22
318
This bug affects 68 people
Affects Status Importance Assigned to Milestone
NetworkManager
Expired
Critical
network-manager (Ubuntu)
Critical
Unassigned
Nominated for Vivid by Alberto Salvia Novella

Bug Description

Directly after boot the network connections are not working. I am connected and have an IP address, but I cannot establish a connection with any Internet server.

I have the impression it is related to thee DNS lookup, which waits forever for a result.

Cycling the connection (disconnect->reconnect) seems to fix the problem for some time.

I am reporting this against network-manager, but I am not sure if it is directly in network manager or if it is systemd related.
With 14.10 everything worked perfectly.

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: network-manager 0.9.10.0-4ubuntu11
ProcVersionSignature: Ubuntu 3.19.0-9.9-generic 3.19.1
Uname: Linux 3.19.0-9-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.16.2-0ubuntu4
Architecture: amd64
CurrentDesktop: GNOME
Date: Sun Mar 22 12:38:26 2015
EcryptfsInUse: Yes
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2015-01-30 (50 days ago)
InstallationMedia: Ubuntu-GNOME 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
IpRoute:
 default via 192.168.1.1 dev eth0 proto static metric 1024
 169.254.0.0/16 dev wlan0 scope link metric 1000
 192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.26
 192.168.1.0/24 dev eth0 proto kernel scope link src 192.168.1.29
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: network-manager
UpgradeStatus: Upgraded to vivid on 2015-03-19 (3 days ago)
modified.conffile..etc.NetworkManager.NetworkManager.conf: [modified]
mtime.conffile..etc.NetworkManager.NetworkManager.conf: 2015-02-16T00:14:50.662693
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH CONNECTION CON-UUID CON-PATH
 eth0 ethernet connected /org/freedesktop/NetworkManager/Devices/2 Kabelnetzwerkverbindung 1 4a581685-6002-4401-a993-49aa649667eb /org/freedesktop/NetworkManager/ActiveConnection/4
 wlan0 wifi connected /org/freedesktop/NetworkManager/Devices/1 4A616E7320574C414E f45aa3a7-fb44-41b7-a02a-ea9720d79414 /org/freedesktop/NetworkManager/ActiveConnection/3
 lo loopback unmanaged /org/freedesktop/NetworkManager/Devices/0 -- -- --
nmcli-nm: Error: command ['nmcli', '-f', 'all', 'nm'] failed with exit code 2: Error: Object 'nm' is unknown, try 'nmcli help'.

Jan Henke (jhe) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager (Ubuntu):
status: New → Confirmed
Benjamin Geese (ben-8409) wrote :

This is happening for me as well on Ubuntu 15.04 (upgraded from 14.04 through 14.10).

Interestingly, i changed my wifi-card since first experiencing this, but it did not help. It had an rt2x00 driven USB adapter before and now run an Intel based PCIe card with exactly the same behaviour: Directly after boot, NM shows a connection but i cannot visit any website. I have to manually disconnect and connect again to get internet access.

My network adapter:
05:00.0 Network controller: Intel Corporation Wireless 7260 (rev bb)

Changed in network-manager (Ubuntu):
importance: Undecided → High
importance: High → Critical

Please:
  1. Report to <https://bugzilla.gnome.org/>.
  2. Paste the new report URL here.
  3. Set this bug status back to "confirmed".

Thank you.

Changed in network-manager (Ubuntu):
status: Confirmed → Incomplete
tags: added: asked-to-upstream
Jan Henke (jhe) wrote :
Changed in network-manager (Ubuntu):
status: Incomplete → Confirmed
Changed in network-manager:
importance: Undecided → Unknown
status: New → Unknown
Jan Rathmann (kaiserclaudius) wrote :

I suffer from the same problem and have just (accidently) reported a duplicate: #1445999

@ Jan Henke

Thank you.

Changed in network-manager (Ubuntu):
status: Confirmed → Triaged
Changed in network-manager:
importance: Unknown → Critical
status: Unknown → Confirmed
Jan Rathmann (kaiserclaudius) wrote :

Some addtional information:
- The bug also appears when booting a live session
- If I setup my network via /etc/network/interfaces (= not managed by NetworkManager), the connection was always in a sane state, so it seems that NetworkManager is somehow responsible indeed.

Kind regards,
Jan

ralf tauscher (stereo) wrote :

I found this in dmesg:

[ 3.092545] systemd[1]: Job NetworkManager-wait-online.service/start deleted to break ordering cycle starting with network-online.target/start

and a

sudo /etc/init.d/network-manager restart

helps to get online again, but not right after booting.

carlix (carlixlinux) wrote :

I have tested ubuntu 15.04 kubuntu 15.04 and ubuntu gnome 15.04 and after reboot i lose connection but i discovered that if i turn off my router and turn on again when i turn on the computer the internet autoconnect succsessfully but if i reboot the problem persist, in 14.10 i dont have any problems

Benjamin Geese (ben-8409) wrote :

Any news?

This is very annoying and clearly a regression. I understand this might be annoying to fix, but as asked, @jhe created the bug in the Gnome Bugtracker and there is zero activity on this bug. Only on user on CC and no comment. How can we raise awareness if you think this is an upstream bug?

carlix (carlixlinux) wrote :

I`ve noticed that the network-manager was updated but I finally realised that SYSTEMD was the real problem because when I tested 15.04 alpha I hadn`t any problems but when I received a update the network problem began.
I supose that SYSTEMD was updated and the problem started.

vmagnin (vincent-magnin) wrote :

I have also the problem with two PC (Kubuntu 15.04) linked to the same router. Sometimes I have network after the boot, sometimes not.
I have found this message in dmesg when I have no network:
[ 7.195372] systemd[1]: Job NetworkManager.service/start deleted to break ordering cycle starting with network.target/start

This bug is quite annoying. When there is this problem, I reboot the machine.

carlix (carlixlinux) wrote :

I`ve tested Wily and the problem persist, my motherboard is http://www.gigabyte.com/products/product-page.aspx?pid=5189#sp

lspci: Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)

Please help me, this problem maybe affect a lot of people, is very annoying :´O(

 I’m just a poor latinoamerican boy.

carlix (carlixlinux) wrote :

In Fedora 22 beta and Debian Jessie any problems.
Why?

Benjamin Geese (ben-8409) wrote :

I too think this is a systemd-related problem. It was running 15.04 a while before this occured and i do not think it is a coincedence. We have another laptop here recently updated from 14.10 to 15.04 which introduced the same problem.

carlix (carlixlinux) wrote :

I´m using 15.10 now and I have the same problem

Jan Rathmann (kaiserclaudius) wrote :

Benjamin, calix: Did you test booting your system with init=/sbin/upstart ? On my system this bug also appears when using Upstart as init, so this doesn't seem to be related to Systemd.

Arash (arashministar) wrote :

I have this problem after upgrading from 14 to 15.4 ! :(

carlix (carlixlinux) wrote :

Lubuntu 15.10 and 15.04 and other distros like debian 8 and fedora 22 works fine but others like kubuntu, ubuntu gnome, doesn´t.
This is so strange!!!

Benjamin Geese (ben-8409) wrote :

This was getting really annoying, so i simple reinstalled my system yesterday. I directly installed Ubuntu 15.04. The problem is gone now. So it must be a configuration. Either something i did which cannot remember (i can not see a reason is should have fiddled with that), or something introducing during the 15.05 development process. I still suspect the timeframe around the systemd switch. It might be helpful to know that 1) the problem did not exist with 14.04 or 14.10 (upgraded from 14.04) but 15.04 since systemd switch (upgraded from 14.04, then 14.10).

@kaiserclaudius: sadly did not try to used upstart on this machine, but we have a second machine with a similar issue, i will try this there as soon as i find the time.

@carlix: Does Lubuntu use systemd?

Jan Rathmann (kaiserclaudius) wrote :

Benjamin, I don't think the problem is related to a somehow messed up configuration (user or system wide), because as mentioned in #8, I can reproduce the bug by booting from a pristine live iso image. Or we a suffering from different bugs.

carlix (carlixlinux) wrote :

Exactly, when I boot from a live usb the problem persist, I think that lubuntu use Systemd, remember the problem in #10 this is very important

carlix (carlixlinux) wrote :

Nobody help us!!! The problem persist in 15.10 if 16.04 will still have it Ubuntu will lose a lot of users

A. Eibach (andi3) wrote :

Confirming with 1.0.4.

But WFM with 0.19.10.0.

BTW, instead of funny guessing, just do

ps -ef | grep NetworkManager

/usr/sbin/NetworkManager *MUST* be running if you want to access the Internet.

1.0.4 did NOT run. When checking /var/log/*.crash files, I found a network-manager-related crash file which indicated that NM had crashed way before it got to the graphical login screen.
Downgraded NM and everything worked as expected.

If you are experiencing this bug in Ubuntu 15.10, please have a look at https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1489154.

A. Eibach (andi3) wrote :

...which has even been marked 'Invalid' as now.

carlix (carlixlinux) wrote :

Finally after an update in Ubuntu Gnome 15.10 the problem is gone in my computer, I have also tested a live usb two times and it's working perfect, thanks to everyone!!! .

Jan Rathmann (kaiserclaudius) wrote :

Like carlix, I didn't see this bug so far under Wily.

RoundDuckMan (roundduckman2) wrote :

Funnily enough, this bug also appears in 14.04.3, under the 3.19 kernel, strange.

RoundDuckMan (roundduckman2) wrote :

Also it appears in a live DVD of the original 14.04 (not 14.04.1, just plain 14.04) as well. Once again, strange.

cethru (cethru) wrote :

Had the same problem: NM was hanging after system start and i had no nm-applet and no network connection.

Solution for me on Ubuntu 15.10, wired lan, manually entered network configuration was:
sudo killall NetworkManager
sudo service NetworkManager start
sudo reboot

Shouldn't systemd start NM?

vmagnin (vincent-magnin) wrote :

The bug is still present after upgrading to Kubuntu 15.10.
Same workaround as before to access to the network after booting:
sudo /etc/init.d/network-manager restart

Vincent Thiele (vincentthiele) wrote :

please fix this, ist very annoying

tags: added: wily
Vincent Thiele (vincentthiele) wrote :

I get this error:
Nov 22 03:45:23 arbeits-pc NetworkManager[685]: <warn> (wlan0): failed to initialize WiFi driver
Nov 22 03:45:23 arbeits-pc NetworkManager[685]: <warn> wlan0: factory failed to create device: (unknown)
Nov 22 03:45:23 arbeits-pc NetworkManager[685]: (NetworkManager:685): GLib-GObject-CRITICAL **: object NMDeviceWifi 0xeda450 finalized while still in-construction
Nov 22 03:45:23 arbeits-pc NetworkManager[685]: (NetworkManager:685): GLib-GObject-CRITICAL **: Custom constructor for class NMDeviceWifi returned NULL (which is invalid). Please use GInitable instead.
Nov 22 03:45:23 arbeits-pc NetworkManager[685]: <info> wpa_supplicant running
Nov 22 03:45:23 arbeits-pc NetworkManager[685]: <info> devices added (path: /sys/devices/pci0000:00/0000:00:1a.0/usb5/5-1/5-1.4/5-1.4:1.0/net/wlxf81a67191694, iface: wlxf81a67191694)
Nov 22 03:45:23 arbeits-pc NetworkManager[685]: <info> device added (path: /sys/devices/pci0000:00/0000:00:1a.0/usb5/5-1/5-1.4/5-1.4:1.0/net/wlxf81a67191694, iface: wlxf81a67191694): no ifupdown configuration found.

Dave Rice (ricey) wrote :

Hi guys,

I too am seeing this on 15.10

USB WiFi dongle is not configured/present in network manager after a boot.

Nov 29 16:53:29 desktop systemd[1]: Starting WPA supplicant...
Nov 29 16:53:29 desktop kernel: [ 3.270513] usb 1-8: r8712u: CustomerID = 0x0015
Nov 29 16:53:29 desktop kernel: [ 3.270516] usb 1-8: r8712u: MAC Address from efuse = 94:44:52:28:34:43
Nov 29 16:53:29 desktop kernel: [ 3.270519] usb 1-8: r8712u: Loading firmware from "rtlwifi/rtl8712u.bin"
Nov 29 16:53:29 desktop kernel: [ 3.270547] usbcore: registered new interface driver r8712u
Nov 29 16:53:29 desktop kernel: [ 3.272672] r8712u 1-8:1.0 wlx944452283443: renamed from wlan0
Nov 29 16:53:29 desktop NetworkManager[873]: <error> [1448816009.248759] [platform/wifi/wifi-utils-wext.c:519] wext_get_range(): (wlan0): couldn't get driver range information (19).
Nov 29 16:53:29 desktop NetworkManager[873]: <info> (wlan0): driver WEXT range request failed
Nov 29 16:53:29 desktop NetworkManager[873]: <warn> (wlan0): failed to initialize WiFi driver
Nov 29 16:53:29 desktop NetworkManager[873]: <warn> wlan0: factory failed to create device: (unknown)
Nov 29 16:53:29 desktop NetworkManager[873]: (NetworkManager:873): GLib-GObject-CRITICAL **: object NMDeviceWifi 0x117e450 finalized while still in-construction
Nov 29 16:53:29 desktop NetworkManager[873]: (NetworkManager:873): GLib-GObject-CRITICAL **: Custom constructor for class NMDeviceWifi returned NULL (which is invalid). Please use GInitable instead.
Nov 29 16:53:29 desktop NetworkManager[873]: <info> devices added (path: /sys/devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/net/wlx944452283443, iface: wlx944452283443)
Nov 29 16:53:29 desktop NetworkManager[873]: <info> device added (path: /sys/devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/net/wlx944452283443, iface: wlx944452283443): no ifupdown configuration found.

Deepak G N R (gnrdeepak) wrote :

I am facing the same issue after upgrading from 15.04 to 15.10

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 0c)

Pappy137 (txcrittr) wrote :

I just did a new install Ubuntu 15.10, network-manager:amd64/wily-updates 1.0.4-0ubuntu5.2 uptodate. I'm using a Realtek RTL8191SU USB wireless adapter. Everything works fine when booting from the "live" install media (a usb flash drive). However, every time I boot from my SSD, network-manager starts but the network is disabled. I have to restart NM service to get connected. The workaround solution was to add the following 2 lines to the /etc/rc.local file. Now I have wifi on boot every time. How do I help fix this?

sleep 3
service network-manager restart

Stuart Gillies (gillies) wrote :

I'm using the latest 16.04 beta, up to date. When I reboot, the wifi does not work, I think because it is not detected. When I replug the little USB wifi thingy, it then does work, though the signal strength indication is very low (no bars) even though another device alongside is seeing full strength. The usb thing worked fine on 14.04. So hotplug sort-of works but not at reboot time.

I also find that every second reboot the display just shows me a small white shape, approx a 2cm square but irregular. Fixed by a further reboot.

Sorry if this should go some where else, I could not find where so perhaps the moderator could move it?

thanks

Sorry I can not help you.

Il 13/04/2016 11:01, Stuart Gillies ha scritto:
> I'm using the latest 16.04 beta, up to date. When I reboot, the wifi
> does not work, I think because it is not detected. When I replug the
> little USB wifi thingy, it then does work, though the signal strength
> indication is very low (no bars) even though another device alongside is
> seeing full strength. The usb thing worked fine on 14.04. So hotplug
> sort-of works but not at reboot time.
>
> I also find that every second reboot the display just shows me a small
> white shape, approx a 2cm square but irregular. Fixed by a further
> reboot.
>
> Sorry if this should go some where else, I could not find where so
> perhaps the moderator could move it?
>
> thanks
>

--
Think Marco, think different
web site:http://www.di.unipi.it/~righi/

tags: added: xenial
Changed in network-manager:
status: Confirmed → Expired
Pawel (woloszynpwp) wrote :

In the 16.04 LTS problem still persists.

Pawel (woloszynpwp) wrote :

Hi again,

this repair problem:

sudo systemctl enable NetworkManager.service

William D (bturner02-sa) wrote :

Confirm that the problem is still in 16.04. To Pawel - yes "systemctl enable NetworkManager.service" - that is the fix. But why is it necessary for a released version? Someone asleep back there, this release was supposed to adopt systemd for better (or worse) so why is upstart still in control of networkmanager?

jango (pjalegria) wrote :

Lubuntu 16.04 LTS same thing

yan (yannn) wrote :

This might be related: https://bugzilla.gnome.org/show_bug.cgi?id=765578
I tried sudo systemctl enable NetworkManager.service, but in my case it didn't solve the problem.

vmagnin (vincent-magnin) wrote :

The bug is still present after upgrading to Kubuntu 16.04.
Same workaround as before to access to the network after booting:
sudo /etc/init.d/network-manager restart

It is present only on two PCs behind a DSL router. My notebook is not affected.
This bug is very annoying ! and lasts now for one year...

Marco Righi (marco-righi) wrote :

Hi,
I have re-installed from scratch and after the reboot the problem WAS NOT present!

jango (pjalegria) wrote :

what did you re-installed?

Tristan Cormier (tristanc-3) wrote :

I too am affected by this bug, on Ubuntu 16.04 LTS. The bug has been present for me, in a way or another, since 15.04.

Jeff (ujr-n) wrote :

I had a similar problem in Ubuntu server - needed to cycle network state by ifdown/ifup after every reboot.

On another server this problem didn't exist - a difference could be found related to the resolvconf package.

After I installed it the problem went away. Maybe it'll help here too? If so, uninstalling the package might help to reproduce the bug.

jango (pjalegria) wrote :

No fix yet??? This is very bad...

I am experiencing this issue on 16.04 LTS when resuming from suspend. Running `sudo systemctl restart NetworkManager.service` works around the issue and brings the network back up.

boon (boon-9ft1s) wrote :

I think I am experiencing the same issue.

This is a brand new desktop PC with 16.04 LTS installed from scratch i.e. not an upgrade from a previous version.

This is wired ethernet (GbE) i.e. not WiFi.

Immediately after a boot, the user logs in and attempts to access a computer on the local network (so no possibility of internet problems and most likely no possibility of DNS problems). The attempt to use the network fails.

ifconfig appears to show everything normal - ethernet is UP and an IP address is assigned. Icon at top right of screen appears to show everything normal (up-arrow-down-arrow icon is present). (IPv4 has an IP address assigned manually but the same malfunction was occurred when, initially, it was using DHCP, I think.)

ping of a host on the local network fails.

Wait about 25 seconds though and suddenly it's working.

This is not good user interface because the user has no way of seeing when the network starts to work. It's not a good user experience either as the computer is working significantly before the network is usable.

syslog from boot doesn't show anything obviously wrong - NetworkManager sees the ethernet and appears to bring it up - but then about a minute after the first message of the boot I see that NetworkManager reports that the link is disconnected and then connected.

Don't know whether it matters but both IPv4 and IPv6 are in use. IPv6 uses DHCP. Once all the weirdness has finished, both IPv4 and IPv6 work correctly.

biohazara (biohazara) wrote :

I think this bug is fixed after 16.04.01. I no longer have this problem on a fresh install of Ubuntu MATE 16.06.1 64-bit, as well as on doing an upgrade from Ubuntu 14.04 64-bit to Ubuntu 16.06.1 64-bit.

However, my previous installations/upgrades of Ubuntu 16.04 64-bit still have this problem even with the packages up to date.

My advice is to do a fresh install of a current 16.04.1 ISO or, in the case of an upgrade, if you still have a backup of your 14.04 installation, try to use it to upgrade as of today and discard previous attempts.

biohazara (biohazara) wrote :

Turns out what I said before isn't true. The issue still exists.

So, why was I getting a good network connection on the physical machine I tried 16.04.1 on? Because I was connecting to WiFi via an Access Point created on a 14.04 installation. The minute I connected directly to the router, it started showing the network connection issues all over again.

Similarly, it seems that the network works fine in VirtualBox (14.04 host) if using a NAT network adapter. If I switch it a bridged adapter I get the network stops working after a while, just like a physical machine running 16.04 before.

biohazara (biohazara) wrote :

Sorry to spam this bug with comments, but I just found out a workaround to my problem. I had to disable IPv6 on the network connection (setting Method to ignore). Not sure why I need to do this in 16.04, but this isn't needed in 14.04.

After doing this, the internet connection doesn't drop at all anymore.

carlix (carlixlinux) wrote :

I don´t have this problem since 15.10

Ilya Bizyaev (bizyaev-game) wrote :

Seems to affect me on Ubuntu 16.04. Also I don't think that's a GNOME problem as I use KDE.

Ilya Bizyaev (bizyaev-game) wrote :

Oh, sorry for a typo! That's Ubuntu 16.10!

tags: added: yakkety
yan (yannn) wrote :

This might be related:

No internet connection through WLAN although connected to network
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1566987

vmagnin (vincent-magnin) wrote :

Since Ubuntu 16.10, the problem is worse !

1) When my PC is booting faster than my DSL Modem, the following command does not solve the problem anymore : sudo /etc/init.d/network-manager restart
I am forced to reboot.

2) When my modem lose the sync, I am obliged to launch that command (since Ubuntu 16.10).

Younus (my334529) wrote :

After upgrading 16.04 from 14.04 i face the same problem.

Then i got my solution. U can try this. By this network and wifi will be normal.

1 ==> open your terminal and type

      sudo nano /etc/NetworkManager/NetworkManager.conf

2 ==> change managed=false to managed=true and save the file

3 ==> again in terminal type

      sudo service network-manager restart

hope it helps.

Andrew (am-public-o) wrote :

Hi Younus,

I am also affected on 16.04 and it is terrible.

Thanks for your solution, I have set that and will see if it solves the problem in the long term.

vmagnin (vincent-magnin) wrote :

I found a solution when there is no network just after booting:
sudo pkill dnsmasq

The network manager then automatically relaunch dnsmasq as you can see by typing:
sudo /etc/init.d/network-manager status

And it's OK !
So it seems to be a DNS related problem.

Please:

1. In the Terminal application enter "sudo apt purge dnsmasq".
2. Reboot the system.
3. If that fixes this bug, please mark it as duplicate of bug #1534501.

Thank you.

Erwin van Diermen (erwin13) wrote :

Same problem after upgrade from 14.04 to 16.04. (Dell Precision M4700)
After reboot, ifconfig displays IP address and all seems well. Connecting to local IP works, but internet fails.
I found another workaround by adding eth0 configuration to the /etc/network/interfaces, then, after reboot I stop the network manager: service network-manager stop
then: ifdown eth0
then: ifup eth0
and internet works. So, seems indeed a DNS problem.

Erwin van Diermen (erwin13) wrote :

For me the problem is solved, read the solution here
http://askubuntu.com/questions/783650/problem-with-dns-in-the-latest-kubuntu-16-04-update

I had the same problem with the latest 16.04 updates. Fixed as follows:

Remove (or comment out) the below line from /etc/NetworkManager/NetworkManager.conf: dns=dnsmasq
Run service NetworkManager restart

Erwin van Diermen (erwin13) wrote :

Above comment is partly true... after reboot it doesn't work anymore.

vmagnin (vincent-magnin) wrote :

Good news ! This bug seems to have disappeared since I upgraded my two PC toward Kubuntu 17.04. No problem for several weeks, after two years of problems...

In fact, it seems that Kubuntu does not launch anymore dnsmasq. It does not appear in the results of the command:
sudo /etc/init.d/network-manager status

In my package manager, I see that the dnsmasq package is not installed, but the dnsmasq-base is.

Thanks to anyone who solved that !

Jeff (jdferron) wrote :

All,

Is anyone working on this considering this issue is marked critical?

ktecho (ktecho) wrote :

I have this problem in 18.04 daily with latest updates. It happens only at boot. If I suspend to memory and resume, it connects to wifi without any problem.

- I don't have package dnsmasq to uninstall it
- I disabled ipv6
- I don't have "dns=dnsmasq" in NetworkManager.conf

Any clue on what's happening? Will try to get some logs later.

ktecho (ktecho) wrote :
Download full text (4.2 KiB)

This is the relevant part of syslog:

Mar 19 00:03:31 host-XPS-13-9350 NetworkManager[663]: <info> [1521414211.4577] device (wlp58s0): Activation: starting connection 'MIWIFI_2G_y36Y' (602d6129-d306-4b63-9b96-aa042a710863)
Mar 19 00:03:31 host-XPS-13-9350 NetworkManager[663]: <info> [1521414211.4649] device (wlp58s0): state change: disconnected -> prepare (reason 'none', sys-iface-state: 'managed')
Mar 19 00:03:31 host-XPS-13-9350 NetworkManager[663]: <info> [1521414211.4655] manager: NetworkManager state is now CONNECTING
Mar 19 00:03:31 host-XPS-13-9350 NetworkManager[663]: <info> [1521414211.4667] device (wlp58s0): state change: prepare -> config (reason 'none', sys-iface-state: 'managed')
Mar 19 00:03:31 host-XPS-13-9350 NetworkManager[663]: <info> [1521414211.4675] device (wlp58s0): Activation: (wifi) access point 'MIWIFI_2G_y36Y' has security, but secrets are required.
Mar 19 00:03:31 host-XPS-13-9350 NetworkManager[663]: <info> [1521414211.4680] device (wlp58s0): state change: config -> need-auth (reason 'none', sys-iface-state: 'managed')
Mar 19 00:03:31 host-XPS-13-9350 NetworkManager[663]: <info> [1521414211.4686] sup-iface[0x56229b8baaf0,wlp58s0]: wps: type pbc start...
Mar 19 00:03:31 host-XPS-13-9350 NetworkManager[663]: <warn> [1521414211.4707] device (wlp58s0): No agents were available for this request. *********************************************************
Mar 19 00:03:31 host-XPS-13-9350 NetworkManager[663]: <info> [1521414211.4780] device (wlp58s0): supplicant interface state: ready -> scanning

Mar 19 00:04:02 host-XPS-13-9350 NetworkManager[663]: <info> [1521414242.0905] device (wlp58s0): state change: need-auth -> failed (reason 'no-secrets', sys-iface-state: 'managed')
Mar 19 00:04:02 host-XPS-13-9350 NetworkManager[663]: <info> [1521414242.0914] manager: NetworkManager state is now DISCONNECTED

Mar 19 00:04:02 host-XPS-13-9350 NetworkManager[663]: <warn> [1521414242.0929] device (wlp58s0): Activation: failed for connection 'MIWIFI_2G_y36Y'
Mar 19 00:04:02 host-XPS-13-9350 NetworkManager[663]: <info> [1521414242.0961] device (wlp58s0): state change: failed -> disconnected (reason 'none', sys-iface-state: 'managed')

Mar 19 00:04:41 host-XPS-13-9350 NetworkManager[663]: <info> [1521414281.9133] device (wlp58s0): Activation: starting connection 'MIWIFI_2G_y36Y' (602d6129-d306-4b63-9b96-aa042a710863)
Mar 19 00:04:41 host-XPS-13-9350 NetworkManager[663]: <info> [1521414281.9140] audit: op="connection-activate" uuid="602d6129-d306-4b63-9b96-aa042a710863" name="MIWIFI_2G_y36Y" pid=1079 uid=1000 result="success"
Mar 19 00:04:41 host-XPS-13-9350 NetworkManager[663]: <info> [1521414281.9147] device (wlp58s0): state change: disconnected -> prepare (reason 'none', sys-iface-state: 'managed')
Mar 19 00:04:41 host-XPS-13-9350 NetworkManager[663]: <info> [1521414281.9153] manager: NetworkManager state is now CONNECTING
Mar 19 00:04:41 host-XPS-13-9350 NetworkManager[663]: <info> [1521414281.9169] device (wlp58s0): state change: prepare -> config (reason 'none', sys-iface-state: 'managed')
Mar 19 00:04:41 host-XPS-13-9350 NetworkManager[663]: <info> [1521414281.9178] device (wlp58s0): Activation: (wifi) ac...

Read more...

ktecho (ktecho) wrote :

I've opened a new bug report where I point to the possible cause of my problem so maybe someone comes up with a solution:

https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1756830

Stephan Woidowski (swoidowski) wrote :

It affects me too. I have the LTS of this version and the network connection can't still be established because of a network connection failure. All devices are there and Linux told me that the connection is established but it is directly interrupted with the told message that there is no connection available.

Nathan L. Adams (nla) wrote :

DNS doesn't work for me after reboot either.

My workaround is to manually add DNS entries to /etc/resolv.conf

nameserver 8.8.8.8
nameserver 8.8.4.4

I previously tried adding these via gnome-control-center, but it doesn't respect these settings.

$ lsb_release -rd
Description: Ubuntu 18.04.1 LTS
Release: 18.04

$ apt-cache policy gnome-control-center
gnome-control-center:
  Installed: 1:3.28.2-0ubuntu0.18.04.2
  Candidate: 1:3.28.2-0ubuntu0.18.04.2
  Version table:
 *** 1:3.28.2-0ubuntu0.18.04.2 500
        500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1:3.28.1-0ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

priyamkjdb (mdnvdnkdk) on 2019-03-25
summary: - Not working network connection after boot
+ Buy Tramadol 50mg Online
description: updated
Colin Watson (cjwatson) on 2019-03-25
summary: - Buy Tramadol 50mg Online
+ Not working network connection after boot
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.